# Foundation Design System
Foundation Design System is a collection of design tokens, components and guidelines for building cohesive UI systems within parts of [Envato](https://envato.com).

***

**Status:** Work in Progress.

***

## Table of Contents
* [Developer Setup](#developer-setup)
* [Versioning](#versioning)
* [Documentation Deployment](#documentation-deployment)
* [Creating Design Tokens](#creating-design-tokens)
* [Using the Design System](#using-the-design-system)
* [Contributing](#contributing)
* [Maintainers](#maintainers)
* [Code of Conduct](#code-of-conduct)
* [License](#license)

## Developer Setup
In order to set up the project locally follow these steps:

1. Clone the repository: `git clone git@github.com:envato/foundation-design-system.git`
2. Install dependencies: `npm i`
3. Watch (and automatically build): `npm start`
4. Preview the site at [localhost:3000](http://localhost:3000).

The project has been bootstrapped with [Create React App](https://github.com/facebookincubator/create-react-app) and the following files **must exist** in order to build the sites correctly:

* `index.html`: the page template
* `src/favicon.ico`: the icon representing the site in the browser tab
* `src/index.js`: the JavaScript entry point.

Remember to always base your feature branch off of `master`.

## Publishing to NPM
Read the [Publishing](/site/src/pages/contributing/development/publishing-to-npm.md) guide on how to version and publish modules to NPM.

## Using the Design System
Read the [How to Use Guide](/site/src/pages/consuming/application-setup.md) for possible installation options for the Foundation Design System within your project.

## Creating Design Tokens
Read our [Creating Design Tokens Guide](/site/src/pages/contributing/development/adding-tokens.md).

## Contributing
Please familiarise yourself with our [Contributing Guidelines](/site/src/pages//contributing/development/adding-content.md) to make the contribution process easy and effective for everyone involved.

## Maintainers
* [Fraser Xu](https://github.com/fraserxu)
* [István Huszár](https://github.com/khayman)
* [Jordan Lewis](https://github.com/jordanlewiz)
* [Karolina Szczur](https://github.com/thefoxis)
* [Paweł Gałązka](https://github.com/pawelgalazka)

## Code of Conduct
This project adheres to the Contributor Covenant [Code Of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [market-foundation-dev@envato.com](mailto:market-foundation-dev@envato.com).

## License
[MIT](LICENSE)
